2010-12-13  Andrew John Hughes  <ahughes@redhat.com>

	PR libgcj/46774
	* libjava/java/security/VMAccessController.java:
	(DEFAULT_CONTEXT): Create ProtectionDomain with
	four argument constructor (arguments are the same
	as those implied by the two argument constructor).
	(getContext()): Create ProtectionDomain instances
	with four argument constructor using a null Principal
	array (as before) but including the classloader, which
	was always null before.

2010-12-06  Dave Korn  <dave.korn.cygwin@gmail.com>

	PR target/40125
	PR lto/46695
	* configure.ac: Invoke ACX_LT_HOST_FLAGS.
	* configure.host (libgcj_sublib_ltflags): Use lt_host_flags.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.
	* Makefile.in: Regenerate.
	* gcj/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2010-11-09  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* testsuite/libjava.jvmti/jvmti.exp (gcj_jvmti_compile_cxx_to_o):
	Add -pthread on alpha*-dec-osf*.
	* testsuite/libjava.jvmti/jvmti-interp.exp
	(gcj_jni_compile_c_to_so): Likewise.

2010-10-12  Andrew John Hughes  <ahughes@redhat.com>

	Import GNU Classpath (libgcj-snapshot-20100921).

	* libjava/Makefile.in: Regenerated.
	* libjava/javax/swing/text/html/StyleSheet.h,
	* libjava/javax/swing/text/html/MinimalHTMLWriter.h,
	* libjava/javax/swing/text/html/HTMLWriter.h,
	* libjava/javax/xml/stream/XMLEventFactory.h,
	* libjava/javax/xml/stream/XMLOutputFactory.h,
	* libjava/javax/xml/stream/events/Namespace.h,
	* libjava/javax/xml/stream/util/StreamReaderDelegate.h,
	* libjava/javax/security/auth/kerberos/KeyImpl.h,
	* libjava/javax/security/auth/kerberos/KerberosTicket.h:
	Regenerated.
	* libjava/classpath/Makefile.in,
	* libjava/classpath/depcomp,
	* libjava/classpath/scripts/Makefile.in,
	* libjava/classpath/resource/Makefile.in,
	* libjava/classpath/tools/Makefile.in:
	Regenerated.  Use libtool from top-level config directory.
	* libjava/classpath/tools/classes/gnu/classpath/tools/StringToolkit.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/java2xhtml/Java2xhtml.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/java2xhtml/Java2xhtml$State.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/IOToolkit.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$3.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$5.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$7.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$9.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$OptionProcessor.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl$ResolvedImportClassFile.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ClassComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$21.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ClassDocProxy.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$23.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/BlockSourceComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/DirectoryTree$FileNode.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$25.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/IgnoredFileParseException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TextTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Parser$Context.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/InheritDocTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/FunctionComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/AdditionExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/TypeCastExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/SubtractionExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/Type.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryEqualityExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/InclusiveOrExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/NegateExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/GreaterThanExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantDouble.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/EqualExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantChar.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ExclusiveOrExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantBoolean.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryBitwiseExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/LogicalOrExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/Evaluator.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryRelationExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryShiftExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/DivisionExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantInteger.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ShiftLeftExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantShort.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantLong.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/LogicalNotExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/GreaterThanOrEqualExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantByte.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/LogicalAndExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/MultiplicationExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/UnaryExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantFloat.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ModuloExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantString.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/NotExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/UnknownIdentifierException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/AndExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConditionalExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/Context.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantNull.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryComputationExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BitShiftRightExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/LessThanOrEqualExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ShiftRightExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryLogicalExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/LessThanExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/IdentifierExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/CircularExpressionException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/BinaryExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/IllegalExpressionException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/NotEqualExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/expr/ConstantExpression.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl$ResolvedImportNotFound.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ClassDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ParamTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Timer.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/SourceComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/CommentComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl$ResolvedImportReflectionPackage.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/StaticBlockComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ValueTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/SeeTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$11.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$13.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ConstructorDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$15.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TemporaryStore.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl$ResolvedImportReflectionClass.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$17.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/BracketClose.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$19.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ParameterImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TypeImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ArrayCharacterIterator.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl$ScheduledClass.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/FieldComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl$ResolvedImportPackageFile.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$2.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TimerDoclet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/SlashSlashCommentComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ErrorReporter.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$4.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$6.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/PackageComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/MemberDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$8.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Parser$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/DirectoryTree.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Debug.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/DocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/MethodDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ProgramElementDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$20.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ClassDocReflectedImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/FieldDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/RootDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$22.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$24.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TimerDoclet$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/PackageDocImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ThrowsTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/EmptyStatementComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/LinkTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/AbstractTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ParseException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$10.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$12.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Parser.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Whitespace.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$14.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ImportComponent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$16.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$18.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/SerialFieldTagImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/SourcePositionImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/JavadocWrapper.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/Main$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/TypeVariableImpl.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/NotifyingInputStreamReader.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/MethodHelper.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/GcjhMain.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/JniStubPrinter.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/JniIncludePrinter.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/PathOptionGroup.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/Keywords.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/JniPrintStream.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/CniStubPrinter.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/Main.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/CniPrintStream.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/javah/ClassWrapper.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$3.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/HashFinder.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$4.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$5.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/ClassRmicCompiler$MethodRef.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/WrapUnWrapper.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$6.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$7.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$8.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$9.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Generator.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/GiopIo.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/MethodGenerator.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/RmiMethodGenerator.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/SourceRmicCompiler.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Variables.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/ClassRmicCompiler.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/CompilationError.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$10.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$11.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$12.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$13.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$14.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$15.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$16.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$17.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$18.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/RMICException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/rmic/Main$2.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/serialver/SerialVer.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/serialver/SerialVer$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/serialver/SerialVer$2.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/serialver/SerialVer$3.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/MalformedInputEvent.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/debugdoclet/DebugDoclet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletConfigurationException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$InterfaceRelation.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$DocletOptionTag.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/Driver.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/TargetContext.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/OutputFileInfo.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet$DocErrorReporterOutputStream.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletConfigurationException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/doctranslet/JarClassLoader.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/Driver1_4.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/Driver$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/Driver$UsageType.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/Driver$NullErrorReporter.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer$TagInfo.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletOptionColonSeparated.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$DocletOptionTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletOptionPackageWildcard.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$UsageType.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletOptionString.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/CssClass.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet$1.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet$2.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet$3.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet$TreeNode.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlTagletContext.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/InvalidPackageWildcardException.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletOptionFlag.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/PackageMatcher.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/StandardTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletOptionFile.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/DocletOption.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$IndexKey.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$DocletOptionGroup.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/AbstractDoclet$DocletOptionTagletPath.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/doclets/PackageGroup.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/FileSystemClassLoader$JarStreamInfo.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/FileSystemClassLoader$FileStreamInfo.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/CodeTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/GenericTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/ValueTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/AuthorTaglet$EmailReplacement.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/DeprecatedTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/SinceTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/AuthorTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/TagletContext.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/VersionTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/taglets/CopyrightTaglet.class,
	* libjava/classpath/tools/classes/gnu/classpath/tools/FileSystemClassLoader.class,
	* libjava/classpath/tools/classes/com/sun/tools/javadoc/Main.class: Regenerated.
	* libjava/classpath/doc/Makefile.in,
	* libjava/classpath/doc/api/Makefile.in,
	* libjava/classpath/doc/texinfo.tex,
	* libjava/classpath/external/Makefile.in,
	* libjava/classpath/external/jsr166/Makefile.in,
	* libjava/classpath/external/sax/Makefile.in,
	* libjava/classpath/external/w3c_dom/Makefile.in,
	* libjava/classpath/external/relaxngDatatype/Makefile.in,
	* libjava/classpath/include/Makefile.in: Regenerated.
	* libjava/classpath/m4/lib-prefix.m4,
	* libjava/classpath/m4/lib-link.m4,
	* libjava/classpath/m4/lib-ld.m4: Removed.
	* libjava/classpath/native/jni/classpath/Makefile.in,
	* libjava/classpath/native/jni/gstreamer-peer/Makefile.in,
	* libjava/classpath/native/jni/midi-dssi/Makefile.in,
	* libjava/classpath/native/jni/Makefile.in,
	* libjava/classpath/native/jni/gconf-peer/Makefile.in,
	* libjava/classpath/native/jni/java-io/Makefile.in,
	* libjava/classpath/native/jni/native-lib/Makefile.in,
	* libjava/classpath/native/jni/native-lib/cpnet.c,
	* libjava/classpath/native/jni/java-util/Makefile.in,
	* libjava/classpath/native/jni/java-lang/Makefile.in,
	* libjava/classpath/native/jni/midi-alsa/Makefile.in,
	* libjava/classpath/native/jni/java-nio/Makefile.in,
	* libjava/classpath/native/jni/java-net/Makefile.in,
	* libjava/classpath/native/jni/java-math/Makefile.in,
	* libjava/classpath/native/jni/xmlj/Makefile.in,
	* libjava/classpath/native/jni/qt-peer/Makefile.in,
	* libjava/classpath/native/jni/gtk-peer/Makefile.in,
	* libjava/classpath/native/Makefile.in,
	* libjava/classpath/native/jawt/Makefile.in,
	* libjava/classpath/native/fdlibm/Makefile.in,
	* libjava/classpath/native/plugin/Makefile.in,
	* libjava/classpath/lib/java/util/regex/Matcher.class,
	* libjava/classpath/lib/java/util/TreeMap$3.class,
	* libjava/classpath/lib/java/util/Scanner.class,
	* libjava/classpath/lib/Makefile.in,
	* libjava/classpath/lib/org/omg/PortableServer/_ServantActivatorStub.class,
	* libjava/classpath/lib/org/omg/PortableServer/_ServantLocatorStub.class,
	* libjava/classpath/lib/org/omg/CORBA/portable/InputStream.class,
	* libjava/classpath/lib/org/omg/CORBA/portable/ObjectImpl.class,
	* libjava/classpath/lib/org/omg/CORBA/portable/Delegate.class,
	* libjava/classpath/lib/org/omg/CORBA/LocalObject.class,
	* libjava/classpath/lib/org/omg/CORBA_2_3/portable/InputStream.class,
	* libjava/classpath/lib/org/omg/CORBA_2_3/portable/OutputStream.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynSequenceStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynValueStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynStructStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynEnumStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynArrayStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynAnyFactoryStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynAnyStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynUnionStub.class,
	* libjava/classpath/lib/org/omg/DynamicAny/_DynFixedStub.class,
	* libjava/classpath/lib/org/ietf/jgss/GSSManager.class,
	* libjava/classpath/lib/gnu/xml/stream/NamespaceImpl.class,
	* libjava/classpath/lib/gnu/xml/stream/XIncludeFilter.class,
	* libjava/classpath/lib/gnu/xml/stream/FilteredStreamReader.class,
	* libjava/classpath/lib/gnu/xml/stream/XMLEventFactoryImpl.class,
	* libjava/classpath/lib/gnu/xml/stream/XMLEventAllocatorImpl.class,
	* libjava/classpath/lib/gnu/xml/stream/XMLStreamWriterImpl.class,
	* libjava/classpath/lib/gnu/java/locale/LocaleData.class,
	* libjava/classpath/lib/gnu/javax/swing/text/html/css/Selector.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/IppRequest$RequestWriter.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/IppResponse$ResponseReader.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/PrinterDriverInstaller.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/CharsetConfigured.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/NaturalLanguageConfigured.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/MultipleOperationTimeOut.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/PrinterCurrentTime.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/DocumentFormat.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/PrinterUpTime.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/printer/PrinterStateMessage.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/PrintQualitySupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/PrinterResolutionSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/SidesSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/MultipleDocumentJobsSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/PageRangesSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/OrientationRequestedSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/MediaSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/IppVersionsSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/OperationsSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/JobSheetsSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/DocumentFormatSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/UriSecuritySupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/GeneratedNaturalLanguageSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/CharsetSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/JobHoldUntilSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/MultipleDocumentHandlingSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/UriAuthenticationSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/FinishingsSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/CompressionSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/supported/PrinterUriSupported.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/JobSheetsDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/DocumentFormatDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/PrinterResolutionDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/SidesDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/JobPriorityDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/JobHoldUntilDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/NumberUpDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/OrientationRequestedDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/MediaDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/MultipleDocumentHandlingDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/FinishingsDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/CopiesDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/defaults/PrintQualityDefault.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/UnknownAttribute.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/DetailedStatusMessage.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobPrinterUri.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/AttributesCharset.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobStateMessage.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/AttributesNaturalLanguage.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobDetailedStatusMessages.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobId.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobDocumentAccessErrors.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobMoreInfo.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/job/JobUri.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/RequestedAttributes.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/StatusMessage.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/attribute/DocumentAccessError.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/IppUtilities.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/IppPrintService.class,
	* libjava/classpath/lib/gnu/javax/print/ipp/IppResponse.class,
	* libjava/classpath/lib/javax/swing/tree/DefaultMutableTreeNode.class,
	* libjava/classpath/lib/javax/swing/tree/VariableHeightLayoutCache.class,
	* libjava/classpath/lib/javax/swing/tree/DefaultMutableTreeNode$PostorderEnumeration.class,
	* libjava/classpath/lib/javax/swing/tree/DefaultMutableTreeNode$BreadthFirstEnumeration.class,
	* libjava/classpath/lib/javax/swing/tree/DefaultMutableTreeNode$PreorderEnumeration.class,
	* libjava/classpath/lib/javax/swing/tree/FixedHeightLayoutCache.class,
	* libjava/classpath/lib/javax/swing/text/html/HTMLEditorKit.class,
	* libjava/classpath/lib/javax/swing/text/html/StyleSheet$BoxPainter.class,
	* libjava/classpath/lib/javax/swing/text/html/HTMLWriter.class,
	* libjava/classpath/lib/javax/swing/text/html/TableView$RowView.class,
	* libjava/classpath/lib/javax/swing/text/html/MultiAttributeSet$MultiNameEnumeration.class,
	* libjava/classpath/lib/javax/swing/text/html/MultiStyle.class,
	* libjava/classpath/lib/javax/swing/text/html/ImageView.class,
	* libjava/classpath/lib/javax/swing/text/html/TableView$CellView.class,
	* libjava/classpath/lib/javax/swing/text/html/MultiAttributeSet.class,
	* libjava/classpath/lib/javax/swing/text/html/ImageView$1.class,
	* libjava/classpath/lib/javax/swing/text/html/StyleSheet$ListPainter.class,
	* libjava/classpath/lib/javax/swing/text/html/TableView.class,
	* libjava/classpath/lib/javax/swing/text/html/StyleSheet.class,
	* libjava/classpath/lib/javax/swing/text/html/ObjectView.class,
	* libjava/classpath/lib/javax/swing/text/html/MinimalHTMLWriter.class,
	* libjava/classpath/lib/javax/swing/undo/UndoableEditSupport.class,
	* libjava/classpath/lib/javax/swing/undo/StateEdit.class,
	* libjava/classpath/lib/javax/xml/stream/XMLEventFactory.class,
	* libjava/classpath/lib/javax/xml/stream/events/Namespace.class,
	* libjava/classpath/lib/javax/xml/stream/XMLInputFactory.class,
	* libjava/classpath/lib/javax/xml/stream/util/StreamReaderDelegate.class,
	* libjava/classpath/lib/javax/xml/stream/XMLOutputFactory.class,
	* libjava/classpath/lib/javax/security/auth/kerberos/KerberosTicket.class,
	* libjava/classpath/lib/javax/security/auth/kerberos/KeyImpl.class,
	* libjava/classpath/missing,
	* libjava/classpath/aclocal.m4,
	* libjava/classpath/examples/Makefile.in,
	* libjava/classpath/install-sh,
	* libjava/gnu/xml/stream/FilteredStreamReader.h,
	* libjava/gnu/xml/stream/XMLStreamWriterImpl.h,
	* libjava/gnu/xml/stream/NamespaceImpl.h,
	* libjava/gnu/xml/stream/XIncludeFilter.h,
	* libjava/gnu/javax/swing/text/html/css/Selector.h,
	* libjava/gnu/javax/print/ipp/attribute/RequestedAttributes.h,
	* libjava/sources.am: Regenerated.

2010-09-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* libjava/Makefile.in: Regenerate.
	* libjava/gcj/Makefile.in: Regenerate.
	* libjava/include/Makefile.in: Regenerate.
	* libjava/testsuite/Makefile.in: Regenerate.

2010-09-21  Jack Howarth <howarth@bromo.med.uc.edu>

	* libjava/configure.ac: Set LIBMATHSPEC to -lm except on darwin.
	* libjava/libgcj.spec.in: Use LIBMATHSPEC.
	* libjava/configure: Regenerate.

2010-08-27  Dmitrijs Ledkovs  <dmitrij.ledkov@ubuntu.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR libgcj/40868
	* configure.ac: Add GCC_FOR_ECJX variable.  Ensure
	GCJ_FOR_ECJX is always set.
	* Makefile.am [!NATIVE] (ecjx.$(OBJEXT)): New rule.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* gcj/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2010-08-18  Jack Howarth <howarth@bromo.med.uc.edu>

	* libjava/configure.ac (THREADLIBS): Don't set on Darwin.
	(THREADSPEC): Likwise.
	* libjava/configure: Regenerate.
	* libjava/Makefile.am: Define LIBJAVA_LDFLAGS_LIBMATH as
	-lm only if USING_DARWIN_CRT undefined.
	(libgcj_tools_la_LIBADD): Replace '-lm' with $(LIBJAVA_LDFLAGS_LIBMATH).
	* libjava/Makefile.in: Regenerate.

2010-08-17  Iain Sandoe  <iains@gcc.gnu.org>

	* include/posix.h: Make substitution of 
	_darwin10_Unwind_FindEnclosingFunction conditional on 
	OSX >= 10.6 (Darwin10).
	
2010-08-12  Tom Tromey  <tromey@redhat.com>

	* gnu/java/security/jce/prng/natVMSecureRandomWin32.cc
	(natGenerateSeed): Add missing "::".

2010-07-23  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (*-*-solaris2.8): Use alternate thread library.
	Add libthread.
	(*-*-solaris2.9): Use libthread.
	* configure: Regenerate.

2010-07-15  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* include/sparc-signal.h: Renamed to ...
	* include/solaris-signal.h: ... this.
	* configure.ac: Use it on any *-*-solaris2* target.
	* configure: Regenerate.
	* configure.host (i?86-*-solaris2*): Set can_unwind_signal=yes.
	* Makefile.am (prims.lo): Add -fno-omit-frame-pointer to AM_CXXFLAGS.
	* Makefile.in: Regenerate.

2010-07-05  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (ANONVERSCRIPT): Handle sun style.
	Define ANONVERSCRIPT_GNU, ANONVERSCRIPT_SUN automake conditionals.
	* configure: Regenerate.

	* Makefile.am [ANONVERSCRIPT]: Protect GNU section with
	ANONVERSCRIPT_GNU.
	Introduce per-library $(lib)_la_version_arg, $(lib)_la_version_dep
	variables.
	[ANONVERSCRIPT_GNU] (version_arg): Default ld arg for version map.
	(version_dep): Likewise for dependency.
	Use them to set the per-library variables.
	[!ANONVERSCRIPT]: Provide them vor the unversioned case.
	[ANONVERSCRIPT_SUN]: Handle Sun symbol versioning.
	(libgcj_la_DEPENDENCIES): Unconditionally use
	$(libgcj_la_version_dep).
	(libgcj_la_LINK): Add $(libgcj_la_version_arg).
	(libgcj_noncore_la_DEPENDENCIES): Unconditionally use
	$(libgcj_la_version_dep).
	(libgcj_tools_la_LIBADD): Move -lm ...
	(libgcj_tools_la_LDFLAGS): ... here.
	(libgcj_tools_la_DEPENDENCIES): Add
	$(libgcj_tools_la_version_dep).
	(libgcj_tools_la_LINK): Add $(libgcj_tools_la_version_arg).
	(lib_gnu_awt_xlib_la_DEPENDENCIES): Add
	$(lib_gnu_awt_xlib_la_version_dep).
	(lib_gnu_awt_xlib_la_LINK): Add
	$(lib_gnu_awt_xlib_la_version_arg).
	(libgcj_bc_la_DEPENDENCIES): Add $(libgcj_bc_la_version_dep).
	(libgcj_bc_la_LINK): $(libgcj_bc_la_version_arg).
	[ANONVERSCRIPT && ANONVERSCRIPT_SUN] (%.ver-sun): New pattern rule.
	* Makefile.in: Regenerate.

	* libgcj.ver: Reformat.

2010-06-10  Peter O'Gorman  <peter@pogma.com>

	* configure.ac: Set SYSTEMSPEC so that -allow_stack_execute is not
	passed to the linker for -dynamiclib or -bundle on darwin.
	* configure: Regenerate. 

2010-06-09  Iain Sandoe  <iains@gcc.gnu.org>

	PR bootstrap/43170
	* configure: Regenerate.

2010-06-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure: Regenerate.

2010-06-03  Matthias Klose  <doko@ubuntu.com>

	* libtool-version: Bump soversion.

2010-05-29  Mike Stump  <mikestump@comcast.net>

	* configure.ac: Add multilib support for gmp.  Proper -I and -L
	flags for gmp are added.

2010-05-25  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac: Redirect grep stdout, stderr to /dev/null instead
	of grep -q.
	Use -- instead of grep -e.
	* configure: Regenerate.

2010-05-25  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR libgcj/44216
	* configure.ac (libgcj_cv_exidx): Enable AC_LANG_WERROR.
	Save and restore werror flag.
	* configure: Regenerate.

2010-05-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR other/43620
	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
	* Makefile.in: Regenerate.
	* gcj/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2010-05-03  Jack Howarth <howarth@bromo.med.uc.edu>

	PR 43839
	* testsuite/Makefile.am: Override automake for site.exp creation
	and add entry to set libiconv.
	* testsuite/Makefile.in: Regenerate.
	* testsuite/libjava.jni/jni.exp (gcj_jni_get_cxxflags_invocation):
	Add new global variable libiconv to handle alternative libiconv
	locations.

2010-04-19  Andrew Haley  <aph@redhat.com>

	PR libgcj/40860
	* configure.ac: Handle --no-merge-exidx-entries.

2010-04-07  Jakub Jelinek  <jakub@redhat.com>

	* exception.cc (_Jv_Throw): Avoid set but not used warning.
	* include/java-assert.h (JvAssertMessage, JvAssert): Use argument in
	sizeof to avoid set but not used warnings.

2010-04-07  Jason Merrill  <jason@redhat.com>

	* gnu/gcj/runtime/natSharedLibLoader.cc (findCore): Move
	declaration of _Jv_create_core out of the function.

2010-04-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.in: Regenerate.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.
	* gcj/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2010-03-21  Dave Korn  <dave.korn.cygwin@gmail.com>

	PR target/42811
	* configure.ac (DLLTOOL): Call AC_CHECK_TOOL.
	(libgcj_sublib_core_extra_deps): New host-dependent configure var.
	(LIBGCJ_SUBLIB_CORE_EXTRA_DEPS): AC_SUBST it.
	* configure.host (libgcj_sublib_core_extra_deps): Define
	appropriately on Cygwin and MinGW.
	(libgcj_sublib_core_extra_deps): Add libgcj-noncore-dummy import
	stub library on Cygwin and MinGW.
	* Makefile.am (LIBJAVA_CORE_EXTRA): Import AC_SUBST'd
	LIBGCJ_SUBLIB_CORE_EXTRA_DEPS if building sublibs, else define empty.
	(libgcj_la_DEPENDENCIES): Use it.
	(DLL_VERSION): New makefile macro.
	(libgcj-noncore-dummy.dll.a): New build rule for dummy import stub
	library.
	(libgcj_noncore_la_LIBADD): Trim superfluous convenience libs.
	(AM_MAKEFLAGS): Add DLLTOOL recursive propagation.
	* libgcj-noncore-dummy.def: New file.
	* Makefile.in: Regenerate.
	* include/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* configure: Likewise.
	* gcj/Makefile.in: Likewise.

2010-03-21  Dave Korn  <dave.korn.cygwin@gmail.com>

	PR target/42811 (prerequisite)
	* jvmti.cc (_Jv_GetJVMTIEnv): Avoid use of uninitialised memory.

2010-03-13  Matthias Klose  <doko@ubuntu.com>

	PR libgcj/42676
	* Regenerate .h files for anonymous inner classes.

2010-03-01  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.host (mips-sgi-irix6*): Don't set libgcj_interpreter.

2010-02-24  Andrew Haley  <aph@redhat.com>

	PR java/40816
	* include/jni_md.h: jboolean is an unsigned type.

2010-02-02  Jack Howarth  <howarth@bromo.med.uc.edu>

	PR java/41991
	* include/posix.h: Redefine _Unwind_FindEnclosingFunction.

2010-01-26  Andrew Haley  <aph@redhat.com>

	* java/lang/natClass.cc (registerClosure): Make sure closures is
	non NULL.

2010-01-19  Matthias Klose  <doko@ubuntu.com>

	* Regenerate .class files.
	* classpath/lib/java/security/VMSecureRandom*.class: Remove.

2010-01-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (write_entries_to_file): Use \012 instead of \n
	with tr.
	* scripts/makemake.tcl: Likewise.
	* sources.am: Regenerate.
	* Makefile.in: Regenerate.

2010-01-09  Jakub Jelinek  <jakub@redhat.com>

	* gnu/gcj/convert/Convert.java (version): Update copyright notice
	dates.
	* gnu/gcj/tools/gcj_dbtool/Main.java (main): Likewise.

2010-01-06  Matthias Klose  <doko@ubuntu.com>

	* Regenerate .class files with updated ecj.jar (based on 3.5.1).
